#include <iostream>
#include "client.h"

using namespace std;

//--------

Client::Client (const string& name)
{
   this->name  = name;
}

//----------

Client::Client (istream& is)
{
   is >> name;
}

//---------

void Client::save (ostream& os) const
{
   os << name << endl;
}

//-----------

double Client::getProfit () const
{
   double profit = 0;
   vector<Renting*>::const_iterator iter = rentings.begin();
   for (;  iter != rentings.end();  iter++)
      profit += (*iter)->getProfit();
   return profit;   
}

//-------------

void Client::print () const
{
   cout << name << " " << " pelnas=" << getProfit() << endl;
}

//------------

void Client::addRenting(Renting* renting)
{
   rentings.push_back(renting);
}

//------------

void Client::removeRenting (Renting* renting)
{
   for (int i = 0;  i < rentings.size();  i++)
      if (rentings[i] == renting)
      {
          rentings.erase(rentings.begin() + i);
          break;
      }
}
